digiKam Developer Documentation: Digikam::DInfoInterface Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::DInfoInterface Class Reference
Inheritance diagram for Digikam::DInfoInterface:

## Public Types
typedef QList< int > | DAlbumIDs
| List of Album ids.
typedef QMap< QString, QVariant > | DInfoMap
| Map of properties name and value.
enum | SetupPage { ExifToolPage = 0 , ImageQualityPage }

## Public Member Functions
| DInfoInterface (QObject *const parent)
virtual QList< GPSItemContainer * > | currentGPSItems () const
virtual void | deleteImage (const QUrl &url)
| Manipulate with item.
virtual void | openSetupPage (SetupPage page)
| Open configuration dialog page.
virtual QMap< QString, QString > | passShortcutActionsToWidget (QWidget *const) const
| Pass extra shortcut actions to widget and return prefixes of shortcuts.
Q_SIGNAL void | signalAlbumItemsRecursiveCompleted (const QList< QUrl > &imageList)
Q_SIGNAL void | signalColorLabelNamesUpdated (const QMap< int, QString > &labels)
| Signal emitted when color label names are updated (digiKam only).
Q_SIGNAL void | signalSetupChanged ()
Q_SIGNAL void | signalShortcutPressed (const QString &shortcut, int val)
virtual Q_SLOT void | slotDateTimeForUrl (const QUrl &url, const QDateTime &dt, bool updModDate)
| Slot to call when date time stamp from item is changed.
virtual Q_SLOT void | slotMetadataChangedForUrl (const QUrl &url)
| Slot to call when something in metadata from item is changed.
virtual QAbstractItemModel * | tagFilterModel ()
| Return an instance of tag filter model if host application support this feature, else null pointer.
virtual QList< QUrl > | currentSelectedItems () const
| Low level items and albums methods.
virtual QList< QUrl > | currentAlbumItems () const
virtual QUrl | currentActiveItem () const
virtual void | parseAlbumItemsRecursive ()
virtual QList< QUrl > | albumItems (int) const
virtual QList< QUrl > | albumsItems (const DAlbumIDs &) const
virtual QList< QUrl > | allAlbumItems () const
virtual DInfoMap | albumInfo (int) const
virtual void | setAlbumInfo (int, const DInfoMap &) const
virtual DInfoMap | itemInfo (const QUrl &) const
virtual void | setItemInfo (const QUrl &, const DInfoMap &)
Q_SIGNAL void | signalLastItemUrl (const QUrl &)
virtual QWidget * | albumChooser (QWidget *const parent) const
| Albums chooser view methods (to use items from albums before to process).
virtual DAlbumIDs | albumChooserItems () const
virtual bool | supportAlbums () const
Q_SIGNAL void | signalAlbumChooserSelectionChanged ()
virtual QWidget * | uploadWidget (QWidget *const parent) const
| Album selector view methods (to upload items from an external place).
virtual QUrl | uploadUrl () const
Q_SIGNAL void | signalUploadUrlChanged ()
virtual QUrl | defaultUploadUrl () const
| Url to upload new items without to use album selector.
Q_SIGNAL void | signalImportedImage (const QUrl &)

## Public Attributes
bool | forceAlbumSelection = false

## Member Function Documentation

## ◆ albumChooser()

QWidget * Digikam::DInfoInterface::albumChooser | ( | QWidget *const | parent | ) | const
| virtual

Reimplemented in Digikam::DBInfoIface.

## ◆ currentSelectedItems()

QList< QUrl > Digikam::DInfoInterface::currentSelectedItems | ( |  | ) | const
| virtual

Reimplemented in Digikam::DBInfoIface, and Digikam::DMetaInfoIface.

## ◆ defaultUploadUrl()

QUrl Digikam::DInfoInterface::defaultUploadUrl | ( |  | ) | const
| virtual

Reimplemented in Digikam::DBInfoIface, and Digikam::DMetaInfoIface.

## ◆ deleteImage()

void Digikam::DInfoInterface::deleteImage | ( | const QUrl & | url | ) |
| virtual

Reimplemented in Digikam::DBInfoIface, and Digikam::DMetaInfoIface.

## ◆ openSetupPage()

void Digikam::DInfoInterface::openSetupPage | ( | SetupPage | page | ) |
| virtual

Reimplemented in Digikam::DBInfoIface, and ShowFoto::ShowfotoInfoIface.

## ◆ passShortcutActionsToWidget()

QMap< QString, QString > Digikam::DInfoInterface::passShortcutActionsToWidget | ( | QWidget * const |  | ) | const
| virtual

Reimplemented in Digikam::DBInfoIface.

## ◆ slotDateTimeForUrl()

void Digikam::DInfoInterface::slotDateTimeForUrl | ( | const QUrl & | url,
|  | const QDateTime & | dt,
|  | bool | updModDate
| ) |  |
| virtual

Reimplemented in Digikam::DMetaInfoIface.

## ◆ slotMetadataChangedForUrl()

void Digikam::DInfoInterface::slotMetadataChangedForUrl | ( | const QUrl & | url | ) |
| virtual

Reimplemented in Digikam::DMetaInfoIface.

## ◆ tagFilterModel()

QAbstractItemModel * Digikam::DInfoInterface::tagFilterModel | ( |  | ) |
| virtual

Reimplemented in Digikam::DBInfoIface.

## ◆ uploadWidget()

QWidget * Digikam::DInfoInterface::uploadWidget | ( | QWidget *const | parent | ) | const
| virtual

Reimplemented in Digikam::DBInfoIface, and Digikam::DMetaInfoIface.